Bug 1129568 - engine-setup 3.5 with dwh/reports setup plugins 3.4 fails
Summary: engine-setup 3.5 with dwh/reports setup plugins 3.4 fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yedidyah Bar David
QA Contact: movciari
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 08:44 UTC by Yedidyah Bar David
Modified: 2014-12-15 15:07 UTC (History)
5 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:40:06 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31434 master MERGED packaging: spec: Confict with dwh/reports 3.4 setup Never
oVirt gerrit 31435 ovirt-engine-3.5 MERGED packaging: spec: Confict with dwh/reports 3.4 setup Never

Description Yedidyah Bar David 2014-08-13 08:44:25 UTC
Description of problem:

ovirt-engine setup packages of 3.5 with dwh/reports setup plugins of 3.4 causes engine-setup to fail.

Version-Release number of selected component (if applicable):

see above

How reproducible:

always

Steps to Reproduce:
1. install engine/dwh/reports 3.4
2. update ovirt-engine-setup to 3.5
3. engine-setup

Actual results:

Fail

Expected results:

Prevent that in spec file(s)

Additional info:

Comment 1 Yedidyah Bar David 2014-08-13 09:15:03 UTC
(In reply to Yedidyah Bar David from comment #0)
> Description of problem:
> 
> ovirt-engine setup packages of 3.5 with dwh/reports setup plugins of 3.4
> causes engine-setup to fail.
> 
> Version-Release number of selected component (if applicable):
> 
> see above
> 
> How reproducible:
> 
> always
> 
> Steps to Reproduce:
> 1. install engine/dwh/reports 3.4
> 2. update ovirt-engine-setup to 3.5
> 3. engine-setup
> 
> Actual results:
> 
> Fail

# engine-setup 
***L:ERROR Internal error: cannot import name database

# OTOPI_DEBUG=1 engine-setup 
Loading plugin group otopi
Loading plugin otopi:dialog (/usr/share/otopi/plugins/otopi/dialog)
Loading plugin otopi:services (/usr/share/otopi/plugins/otopi/services)
Loading plugin otopi:packagers (/usr/share/otopi/plugins/otopi/packagers)
Loading plugin otopi:network (/usr/share/otopi/plugins/otopi/network)
Loading plugin otopi:system (/usr/share/otopi/plugins/otopi/system)
Loading plugin otopi:core (/usr/share/otopi/plugins/otopi/core)
Loading plugin group ovirt-engine-common
Loading plugin ovirt-engine-common:websocket_proxy (/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/websocket_proxy)
Loading plugin ovirt-engine-common:system (/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/ovirt-engine-common/system)
Loading plugin ovirt-engine-common:core (/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/ovirt-engine-common/core)
Loading plugin ovirt-engine-common:db (/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/ovirt-engine/db)
Loading plugin ovirt-engine-common:core (/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/ovirt-engine/core)
Loading plugin ovirt-engine-common:db (/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/ovirt-engine-dwh/db)
***L:ERROR Internal error: cannot import name database
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/__main__.py", line 94, in main
    installer.execute()
  File "/usr/lib/python2.7/site-packages/otopi/main.py", line 159, in execute
    sys.exc_info()[2],
  File "/usr/lib/python2.7/site-packages/otopi/util.py", line 93, in raiseExceptionInformation
    exec('raise info[1], None, info[2]')
  File "/usr/lib/python2.7/site-packages/otopi/main.py", line 153, in execute
    self.context.loadPlugins()
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 506, in loadPlugins
    self._loadPluginGroups(plugindir, needgroups, loadedgroups)
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 123, in _loadPluginGroups
    self._loadPlugins(path, path, groupname)
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 80, in _loadPlugins
    self._loadPlugins(base, d, groupname)
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 80, in _loadPlugins
    self._loadPlugins(base, d, groupname)
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 111, in _loadPlugins
    os.path.basename(path),
  File "/usr/lib/python2.7/site-packages/otopi/util.py", line 117, in loadModule
    mod_desc
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/ovirt-engine-dwh/db/__init__.py", line 22, in <module>
    from . import pgpass
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/ovirt-engine-dwh/db/pgpass.py", line 31, in <module>
    from ovirt_engine_setup import database
PluginLoadException: cannot import name database

Comment 2 Sandro Bonazzola 2014-10-17 12:40:06 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.